package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Order implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 订单状态(0未支付2已支付3支付失败)
     */
    private Integer orderFlag;

    /**
     * 充值来源
     */
    private Integer topSource;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 充值金额
     */
    private Double money;

    private Long createUserId;

    private LocalDateTime createTime;

    private String createUserName;

    private Long updateUserId;

    private LocalDateTime updateTime;

    private String updateUserName;


}
